Subject: Re: bug#19872: 24.4; UTF8 characters of unusual width (Gnus markers)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Feb 2015 16:03:35 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked],
>         [email-masked]
> Date: Thu, 19 Feb 2015 08:49:32 -0500
> 
> >> [12345678901234567890] Foo
> >> [12345678901234567890] Foo
> >> [12345678901234567890] Foo
> >> [廣東話廣東話廣東話廣東話廣東話廣東話廣東] Foo
> >> [12345678901234567890] Foo
> >> [12345678901234567890] Foo
> >> [12345678901234567890] Foo
> >> [12345678901234567890] Foo
> >> 
> >> no amount of align-to will make these columns line up.
> 
> > That's a separate problem.  I thought you said that you were
> > truncating too long strings, so I thought these cases were already
> > taken care of.
> 
> The problem is that truncating based on display width is difficult and
> costly if we want to handle proportional fonts.

I agree in general, but cannot see why this particular case couldn't
be resolved reasonably well, e.g. by adding one more column "just in
case", before the :align-to property.